unit main;

interface

uses
  Forms, Classes, MFBaseComponent, MFCustomTransport, MFComPort, Controls,
  StdCtrls;

type
  TfmMain = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Memo1: TMemo;
    Edit1: TEdit;
    Button3: TButton;
    MFComPort1: TMFComPort;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure MFComPort1Connect(Sender: TMFCustomConnection);
    procedure MFComPort1Disconnect(Sender: TMFCustomConnection);
    procedure MFComPort1Read(Sender: TMFCustomConnection;
      const Buf: TMFByteArray);
  end;

var
  fmMain: TfmMain = nil;

implementation

{$R *.dfm}

procedure TfmMain.Button1Click(Sender: TObject);
begin
  MFComPort1.Connect;
end;

procedure TfmMain.Button2Click(Sender: TObject);
begin
  MFComPort1.Close;
end;

procedure TfmMain.Button3Click(Sender: TObject);
begin
  MFComPort1.Connections[0].Write(TMFByteArray(Edit1.Text + #$0D));
end;

procedure TfmMain.MFComPort1Connect(Sender: TMFCustomConnection);
begin
  Memo1.Lines.Add('Connect');
end;

procedure TfmMain.MFComPort1Disconnect(Sender: TMFCustomConnection);
begin
  Memo1.Lines.Add('Disconnect');
end;

procedure TfmMain.MFComPort1Read(Sender: TMFCustomConnection; const Buf: TMFByteArray);
begin
  Memo1.Lines.Add(string(Buf));
end;

end.
